Package org.silverpeas.mobile.server.services.helpers.events

## Class CalendarEventOccurrenceEntity

- java.lang.Object
- - org.silverpeas.mobile.server.services.helpers.events.CalendarEventOccurrenceEntity

-     public class CalendarEventOccurrenceEntity
      extends Object

  Author:
    silveryocha

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CalendarEventOccurrenceEntity​(org.silverpeas.core.calendar.CalendarEventOccurrence occurrence)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getEndDateAsDate()` |
    `String` | `getInstanceId()` |
    `String` | `getLocation()` |
    `URI` | `getOccurrencePermalinkUrl()` |
    `org.silverpeas.core.calendar.Priority` | `getPriority()` |
    `Date` | `getStartDateAsDate()` |
    `String` | `getTitle()` |
    `boolean` | `isOnAllDay()` |
    `void` | `withOccurrencePermalinkUrl​(URI occurrencePermalinkUrl)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarEventOccurrenceEntity

          public CalendarEventOccurrenceEntity​(org.silverpeas.core.calendar.CalendarEventOccurrence occurrence)

  - ### Method Detail

    - #### getStartDateAsDate

          public Date getStartDateAsDate()

    - #### getEndDateAsDate

          public Date getEndDateAsDate()

    - #### getPriority

          public org.silverpeas.core.calendar.Priority getPriority()

    - #### getOccurrencePermalinkUrl

          public URI getOccurrencePermalinkUrl()

    - #### withOccurrencePermalinkUrl

          public void withOccurrencePermalinkUrl​(URI occurrencePermalinkUrl)

    - #### getTitle

          public String getTitle()

    - #### isOnAllDay

          public boolean isOnAllDay()

    - #### getLocation

          public String getLocation()

    - #### getInstanceId

          public String getInstanceId()